import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { ResourceListComponent } from './resource-list/resource-list.component';
import { StaticResourceUserDragAndDropComponent } from './static-resource-user-drag-and-drop/static-resource-user-drag-and-drop.component'
import { UserListComponent } from './user-list/user-list.component';
import { ResourceToUserShareComponent } from './resource-to-user-share/resource-to-user-share.component';
const routes: Routes = [
  {path: 'static-resource-user-drag-and-drop', component: StaticResourceUserDragAndDropComponent},
  {path: 'resource-list', component: ResourceListComponent},
  {path: 'user-list', component: UserListComponent},
  {path: 'resource-to-user-share', component: ResourceToUserShareComponent}  


];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }
