import { HttpClient, HttpErrorResponse } from '@angular/common/http';
import { Observable, throwError } from 'rxjs';
import { Injectable } from '@angular/core';

import { IUserResources } from './userResources';

@Injectable({
    providedIn: 'root'
})
export class UserResourcesService {
  constructor(private http: HttpClient) { }

  

  getTheObject(userResourceUrl: string) {
      return this.http.get(userResourceUrl);
  }

  getUserResource(userResourceUrl: string) {
      // now returns as Observable of UserResource
      console.log ("- service to get" + userResourceUrl);
      return this.http.get<IUserResources[]>(userResourceUrl);
  }
}
