package com.mygrouptasks.thiscontent.entities;

import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.NonNull;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.IdClass;
import javax.persistence.Table;
import java.io.Serializable;

@Entity
@Data
@NoArgsConstructor
@Table(name="group_user")
@IdClass(GroupUser.class)
public class GroupUser implements Serializable {

    @Id
    private @NonNull int groupid;

    @Id
    private @NonNull String username;
}
