package com.mygrouptasks.thiscontent.repository;

import com.mygrouptasks.thiscontent.entities.Category;
import com.mygrouptasks.thiscontent.entities.Group;
import com.mygrouptasks.thiscontent.entities.GroupUser;
import com.mygrouptasks.thiscontent.entities.Users;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.ArrayList;
import java.util.List;

@Repository
public interface GroupRepository extends JpaRepository<Group, Long> {

    @Query(value="select * from `group`", nativeQuery = true)
    List<Group> getAll();
}
