package com.mygrouptasks.thiscontent.repository;

import com.mygrouptasks.thiscontent.entities.UserResource;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface UserResourceRepository extends JpaRepository<UserResource, Long> {


    @Query(value="select * from user_resource", nativeQuery = true)
    List<UserResource> getAll();

    @Query(value="select * from user_resource where username=?1", nativeQuery = true )
    List<UserResource> getUserResourcesForUser(String username);

}
