import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';

import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';
import { HttpClientModule } from '@angular/common/http';
import { ResourceListComponent } from './resource-list/resource-list.component';
import { StaticResourceUserDragAndDropComponent } from './static-resource-user-drag-and-drop/static-resource-user-drag-and-drop.component';
import { UserListComponent } from './user-list/user-list.component';
import { ResourceToUserShareComponent } from './resource-to-user-share/resource-to-user-share.component';

@NgModule({
  declarations: [
    AppComponent,
    ResourceListComponent,
    StaticResourceUserDragAndDropComponent,
    UserListComponent,
    ResourceToUserShareComponent
  ],
  imports: [
    BrowserModule,
    HttpClientModule,
    AppRoutingModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
