
import { HttpClient, HttpErrorResponse } from '@angular/common/http';
import { Observable, throwError } from 'rxjs';
import { Injectable } from '@angular/core';

import { IResource } from './resource';

@Injectable({
    providedIn: 'root'
})
export class ResourceService {
    //private resourceUrl = './resources.json';
    //private resourceUrl = 'resources.json';
    //private resourceUrl = 'http://localhost/static/resources.json';
    private resourceUrl = 'http://localhost:8080/package1_war_exploded/admin/resources';

    //private http: HttpClient;
    constructor(private http: HttpClient) { }

    getResources(): Observable<IResource[]> {
        console.log ("- link is: " + this.resourceUrl);
        //console.log ("- this.http...");
        
        /*this.http.get<IResource[]>(this.resourceUrl).forEach(
            myArray, function(value, key) {
            console.log("id: " + key + ", Name: " + value);
        })*/
        
     
        return this.http.get<IResource[]>(this.resourceUrl);
    }
}