import { Component, OnInit } from '@angular/core';

@Component({
  selector: 'app-static-resource-user-drag-and-drop',
  templateUrl: './static-resource-user-drag-and-drop.component.html',
  styleUrls: ['./static-resource-user-drag-and-drop.component.css']
})
export class StaticResourceUserDragAndDropComponent implements OnInit {

  constructor() { }

  allowDrop(ev) {
    console.log("- allowDrop");
    ev.preventDefault();
  }
  
  drag(ev) {
    console.log("drag started -- "  );
    ev.dataTransfer.setData("text", ev.target.id);
  }
  
  drop(ev) {
    ev.preventDefault();
    var data = ev.dataTransfer.getData("text");
    ev.target.appendChild(document.getElementById(data));
  }
  
   loadUserContent(getUser: string) {
    //alert("get user: " + getUser);
    document.getElementById(getUser).style.backgroundColor = "lightGreen";
    document.getElementById("user-file-location").innerHTML = "previous loaded user files";
    (document.getElementById("saveButton") as HTMLButtonElement).disabled=false;
  }
  
  ngOnInit(): void {
  }

}
