
import { HttpClient, HttpErrorResponse } from '@angular/common/http';
import { Observable, throwError } from 'rxjs';
import { Injectable } from '@angular/core';

import { IUser } from './user';

@Injectable({
    providedIn: 'root'
})
export class UserService {
    //private resourceUrl = './resources.json';
    //private resourceUrl = 'resources.json';
    //private resourceUrl = 'http://localhost/static/resources.json';
    private usersUrl = 'http://localhost:8080/package1_war_exploded/admin/users';

    //private http: HttpClient;
    constructor(private http: HttpClient) { }

    getUsers(): Observable<IUser[]> {
        console.log ("- link is: " + this.usersUrl);
        //console.log ("- this.http...");
        
        /*this.http.get<IResource[]>(this.resourceUrl).forEach(
            myArray, function(value, key) {
            console.log("id: " + key + ", Name: " + value);
        })*/
        
        //error prone... testHttpObj HttpClient: this.http; // .get<IResource[]>(this.resourceUrl) = [];
        //console.log ("testHttpObj: " + testHttpObj);
        
        /////errorprone console.log ("- 0: " + this.http.get<IResource[]>(this.resourceUrl)[0].resourceName);
        
        return this.http.get<IUser[]>(this.usersUrl);
    }
}