package com.mygrouptasks.thiscontent.entities;

import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.NonNull;

import javax.persistence.*;
import java.io.Serializable;

@Entity
@Data
@NoArgsConstructor
@Table(name="user_resource")
@IdClass(UserResource.class)
public class UserResource implements Serializable {

    @Id
    private @NonNull int resourceid;

    @Id
    private @NonNull String username;
}
