package com.mygrouptasks.thiscontent.repository;

import com.mygrouptasks.thiscontent.entities.Category;
import com.mygrouptasks.thiscontent.entities.Resource;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface CategoryRepository extends JpaRepository<Category, Long> {


    @Query(value="select * from category", nativeQuery = true)
    List<Category> getAll();

    @Query(value="select * from category where subcategoryof = 0", nativeQuery = true)
    List<Category> getTop();

    @Query(value="select * from category where subcategoryof = ?1", nativeQuery = true)
    List<Category> getSubcategories(int catid);



}
