package com.mygrouptasks.thiscontent.repository;

import com.mygrouptasks.thiscontent.entities.GroupUser;
import com.mygrouptasks.thiscontent.entities.UserResource;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface GroupUserRepository extends JpaRepository<GroupUser, Long> {


    @Query(value="select * from `group_user`", nativeQuery = true)
    List<GroupUser> getAll();

    @Query(value="select `username` from group_user where groupid=?1", nativeQuery = true )
    List<String> getUsernamesForGroup(int groupid);

}
