package com.mygrouptasks.thiscontent.service;

import com.mygrouptasks.thiscontent.entities.Category;
import com.mygrouptasks.thiscontent.entities.Resource;
import com.mygrouptasks.thiscontent.repository.CategoryRepository;
import com.mygrouptasks.thiscontent.repository.ResourceRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

@Service
public class CategoryService {

    @Autowired
    CategoryRepository categoryRepository;

    public List<Category> getCategories() {
        return categoryRepository.getAll();
    }

    public List<Category> getTopCategories() {
        return categoryRepository.getTop();
    }

    public List<Category> getSubcategories(int catid) {
        return categoryRepository.getSubcategories(catid);
    }
}
